package pmicrovenus;
public class Casilla {
    
    private int num;
    private String descripcion;
    private int x;
    private int y;
    private boolean disponible;
    protected Jugador propietario;
    

    public Casilla() {
        
    }
    public Casilla(int id, String des, int px, int py) {
        num=id;
        descripcion=des;
        disponible=true; 
        x=px;
        y=py;
    }
   
    public String getDescripcion() {
        return descripcion;
    }
    public void setDescripcion(String val) {
        this.descripcion = val;
    }

     public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }
    
    public int getNum() {
        return this.num;
    }
    public void setNum(int val) {
        this.num = val;
    }
    public boolean isDisponible() {
        return disponible;
    }
    public void setDisponible(boolean val) {
        this.disponible = val;
    }
    public Jugador getPropietario() {
        return propietario;
    }
    public void setPropietario(Jugador val) {
        this.propietario = val;
    }
    
    public int getPrecioCompra(){return 0;};    
    //public void accion(){ };
    public void accion(Jugador j){};
    public void pasa(Jugador j){};
    public int getRenta(){return 0;};   

}
